Subject: [PATCH v2 2/5] KVM: arm/arm64: Add ARM user space interrupt signaling ABI

From: [email-masked] (Christoffer Dall)
Date: Tue, 21 Feb 2017 12:41:53 +0100

Hi Alex,

On Fri, Feb 03, 2017 at 05:51:18PM +0000, Peter Maydell wrote:
> On 3 February 2017 at 14:56, Christoffer Dall <[email-masked]> wrote:
> > From: Christoffer Dall <[email-masked]>
> >
> > We have 2 modes for dealing with interrupts in the ARM world. We can
> > either handle them all using hardware acceleration through the vgic or
> > we can emulate a gic in user space and only drive CPU IRQ pins from
> > there.
> >
> > Unfortunately, when driving IRQs from user space, we never tell user
> > space about events from devices emulated inside the kernel, which may
> > result in interrupt line state changes, so we lose out on for example
> > timer and PMU events if we run with user space gic emulation.
> >
> > Define an ABI to publish such device output levels to userspace.
> >
> > Signed-off-by: Alexander Graf <[email-masked]>
> > Signed-off-by: Christoffer Dall <[email-masked]>
> 
> 
> Acked-by: Peter Maydell <[email-masked]>
> 
> for the userspace ABI/docs part.
> 

Given Peter's ack on this ABI, any chance you could take a look at
fixing the userspace SMP issue and respinning the userspace patches for
this series?

Thanks,
-Christoffer